Subject: e: New issue?: The scope of source address for DCS?

From: <[email-masked]>
Date: Tue, 11 Nov 2003 23:04:07 +0200

(resend of an e-mail from the time before the WG meeting)

>>
>> In issue 21 we agreed that DCA source should be link-local.
>> It seems logical to require the same from DCS?
>
>
>
> This is a holdover from RFC-2461 where the RS has as source any
> address on the host's interface, and the RA is only
> link-local.

Indeed.

> The original motivation may indeed be as Pekka mentioned.
>
> I'm not fussed now about where we the group
> goes with this, but I guess that the same issues which
> affect RS/RA will affect DCS/DCA.
>
> I'm currently concerned with RS/DCS messages coming from an
> address which is not on an adjacent link.  I don't know
> how this is handled in the case where RS's are sent from
> a global address today (rfc-2461 doesn't seem to specify
> this).
>
> Should we even listen to such DCS's?

Maybe not. But as you say, I'm not sure this is documented
even in the ND case.

> I'm pretty certain that we don't want to create
> erroneous NC state on the router in this case, so
> unicast responses are out.

It still seems safest to me that we should
use link-local addresses. 

--Jari

--------------------------------------------------------------------
To unsubscribe from this list, send email with "UNSUBSCRIBE" in the
body to <[email-masked]>.
Archive: http://standards.ericsson.net/lists/ietf-send/maillist.html
--------------------------------------------------------------------